Subject: bug#66475: closed (Re: [bug#66475] [PATCH v2 1/4] git-download: Add support for Git Large File Storage (LFS).)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Nov 2023 16:19:02 +0000

Your bug report

#66475: [PATCH 0/2] Add support for Git Large File Storage (LFS).

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66475: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66475
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66475] [PATCH v2 1/4] git-download: Add support for Git Large File Storage (LFS).
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, Simon Tournier <[email-masked]>, Mathieu Othacehe <[email-masked]>, Tobias Geerinckx-Rice <[email-masked]>, Ricardo Wurmus <[email-masked]>, Christopher Baines <[email-masked]>, [email-masked]
Date: Tue, 07 Nov 2023 11:17:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> writes:

> Hi Maxim,
>
> Maxim Cournoyer <[email-masked]> skribis:
>
>> * guix/build/git.scm (git-fetch) [lfs?]: New argument, doc and setup code.
>> (git-fetch-with-fallback) [lfs?]: New argument.  Pass it to git-fetch.
>> * guix/git-download.scm (git-lfs-package): New procedure.
>> (git-fetch/in-band*): New procedure, made of the logic of git-fetch/in-band,
>> with new git-lfs specifics, with the following changes:
>> New #:git-lfs argument.
>> <inputs>: Remove labels.  Conditionally add git-lfs.
>> <build>: Read "git lfs?" environment
>> variable and pass its value to the #:lfs? argument of git-fetch-with-fallback.
>> Use INPUTS directly; update comment.
>> <gexp->derivation>: Add "git lfs?" to #:env-vars.
>> (git-fetch/in-band): Express in terms of git-fetch/in-band*.
>> (git-fetch/lfs): New procedure.
>> * doc/guix.texi (origin Reference): Document it.
>>
>> Change-Id: I5b233b8642a7bdb8737b9d9b740e7254a89ccb25
>> ---
>>
>> Changes in v2:
>>  - Do not add lfs? to <git-reference>; instead add a git-fetch/lfs procedure.
>
> I haven’t tested it but it looks great to me, thank you!

Thanks for taking the time to review it!  I'll push it shortly.

-- 
Thanks,
Maxim

Subject: [PATCH 0/2] Add support for Git Large File Storage (LFS).
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: Maxim Cournoyer <[email-masked]>
Date: Wed, 11 Oct 2023 22:49:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

While updating orcus to its latest version (0.19.0), I stumbled on a test a
failure, which ended up being caused by the lack of test files in the
repository checkout.  These files are stored using the LFS extension in the
repo; when not using LFS, empty text stubs with some metadata are left in
their place.

I've opted to keep the dependency on git-lfs optional for now for the daemon.
The git in-band downloader will only add the git-lfs dependency when the
git-reference object has its lfs? field set to true.

Maxim Cournoyer (2):
  gnu: git-lfs: Patch /bin/sh references.
  git-download: Add support for Git Large File Storage (LFS).

 configure.ac                      | 10 ++++++
 doc/guix.texi                     |  9 +++++
 gnu/packages/version-control.scm  |  5 +++
 guix/build/git.scm                | 18 +++++++---
 guix/config.scm.in                |  4 +++
 guix/git-download.scm             | 58 ++++++++++++++++++++-----------
 guix/scripts/perform-download.scm |  3 ++
 guix/self.scm                     | 10 +++++-
 8 files changed, 92 insertions(+), 25 deletions(-)

base-commit: d6d706a58b8159748d3a46fa97cae18850487c8a
--
2.41.0